Skip to content

calls.initiate

Dial a number with an agent through a telephony configuration.

Reference

POST/api/v1/telephony/initiate-call

Auth
API key in X-API-Key
Content
application/json
Returns
200 · any

Initiate a call using the configured telephony provider from web browser. This is supposed to be a test call method for the draft version of the agent.

Arguments

ArgumentInTypeRequiredDescription
workflow_idbodyintegerrequired
workflow_run_idbodyintegeroptional
phone_numberbodystringoptional
telephony_configuration_idbodyintegeroptional
from_phone_number_idbodyintegeroptional

Example request

curl -X POST "https://api.decibyl.ai/api/v1/telephony/initiate-call" \
  -H "X-API-Key: dcb_your_key" \
  -H "Content-Type: application/json" \
  -d '{"workflow_id":1,"workflow_run_id":1,"phone_number":"string","telephony_configuration_id":1,"from_phone_number_id":1}'

Response

{}

Errors

StatusWhen
404Not found
422Validation Error